### org.jfree.layouting.input.style.keys.border

# Class BorderStyle

- `java.lang.Object`
- - `org.jfree.layouting.input.style.keys.border.BorderStyle`

`public class BorderStyle`
`extends java.lang.Object`

Creation-Date: 30.10.2005, 19:37:35

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSConstant`

  `DASHED`

  `static CSSConstant`

  `DOTTED`

  `static CSSConstant`

  `DOT_DASH`

  `static CSSConstant`

  `DOT_DOT_DASH`

  `static CSSConstant`

  `DOUBLE`

  `static CSSConstant`

  `GROOVE`

  `static CSSConstant`

  `HIDDEN`

  `static CSSConstant`

  `INSET`

  `static CSSConstant`

  `NONE`

  `static CSSConstant`

  `OUTSET`

  `static CSSConstant`

  `RIDGE`

  `static CSSConstant`

  `SOLID`

  `static CSSConstant`

  `WAVE`

## Field Details

### DASHED

    public static final CSSConstant DASHED

### DOTTED

    public static final CSSConstant DOTTED

### DOT_DASH

    public static final CSSConstant DOT_DASH

### DOT_DOT_DASH

    public static final CSSConstant DOT_DOT_DASH

### DOUBLE

    public static final CSSConstant DOUBLE

### GROOVE

    public static final CSSConstant GROOVE

### HIDDEN

    public static final CSSConstant HIDDEN

### INSET

    public static final CSSConstant INSET

### NONE

    public static final CSSConstant NONE

### OUTSET

    public static final CSSConstant OUTSET

### RIDGE

    public static final CSSConstant RIDGE

### SOLID

    public static final CSSConstant SOLID

### WAVE

    public static final CSSConstant WAVE